On October 21, 2012, ICVerify will no longer be compatible with The Raiser's Edge or any other Blackbaud software.
Blackbaud ended support of ICVerify on July 15, 2011. This means that Blackbaud will not make changes to RE or conduct further testing with ICVerify versions after this date.


This information is a supplement to our system requirements, your primary information source when purchasing new hardware and installing or upgrading third-party software. We do not test all third-party products with our software. We consider our access to each product, its usage by our customers, and the most current release when we plan our testing.